Package org.apache.sysds.runtime.compress.lib

## Class CLALibBinaryCellOp

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibBinaryCellOp

    public final class CLALibBinaryCellOp
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `binaryOperationsLeft​(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that, MatrixBlock result)`
`static MatrixBlock` `binaryOperationsRight​(BinaryOperator op, CompressedMatrixBlock m1, MatrixBlock that, MatrixBlock result)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### binaryOperationsRight

    public static MatrixBlock binaryOperationsRight​(BinaryOperator op,
                                                    CompressedMatrixBlock m1,
                                                    MatrixBlock that,
                                                    MatrixBlock result)

#### binaryOperationsLeft

    public static MatrixBlock binaryOperationsLeft​(BinaryOperator op,
                                                   CompressedMatrixBlock m1,
                                                   MatrixBlock that,
                                                   MatrixBlock result)